org.apache.flume.sink.elasticsearch.client

## Class RoundRobinList<T>

- java.lang.Object
- - org.apache.flume.sink.elasticsearch.client.RoundRobinList<T>

-     public class RoundRobinList<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoundRobinList(Collection<T> elements)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `get()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoundRobinList

          public RoundRobinList(Collection<T> elements)

  - ### Method Detail

    - #### get

          public T get()

    - #### size

          public int size()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.